
QGIS Application - Bug report #9612

Web view doesn't work with specific URL in feature form

2014-02-20 08:34 AM - Rémi Bovard

Status: Closed

Priority: Normal

Assignee:

Category: Vectors

Affected QGIS version:master Regression?: No

Operating System: Windows Easy fix?: No

Pull Request or Patch supplied:No Resolution: end of life

Crashes QGIS or corrupts data:No Copied to github as #: 18188

Description

Steps:

    -  Load/Create a layer with a varchar(255) field

    -  Set this field  as 'Web view' in edit widget (layer propreties - fields)

    -  Add this value in the field : http://www.camac.vd.ch/rest/exp/idqry/9008/param/126750

--> The page doesn't open when interrogating the feature

Is there a keyword or sign in this URL that is misinterpreted?

History

#1 - 2014-03-03 06:55 AM - Rémi Bovard

Juste made some tests with stable release 2.2:

    -  it work fine with on Ubuntu 13.10

    -  still not on Windows 7

For information, when using another link like http://www.google.com/, it works fine on both OS.

#2 - 2014-03-03 08:00 AM - Matthias Kuhn

Just to be sure: Are you sure that there is no problem regarding proxy/dns etc?

Apart from this, I will be refactoring the editor widgets soon (In May, so part of 2.4) and therefore don't think it's worth investing time in the old editor

widgets meanwhile. I definitely will be happy if you can test the new widgets when they are ready.

#3 - 2014-03-03 08:21 AM - Rémi Bovard

Yes, because if put only http://www.camac.vd.ch/ it works... It's very strange, can you reproduce it?

Ok, that's a good news. Sure, I can test the new widgets when they're ready. I'll be at the QGIS-CH user group metting this week, maybe we can talk

about that.

#4 - 2014-03-04 12:38 AM - Giovanni Manghi

- Operating System set to Windows

- Category set to Vectors

- Target version set to Version 2.4
#5 - 2014-03-04 02:35 AM - Matthias Kuhn

Rémi Bovard wrote:

Yes, because if put only http://www.camac.vd.ch/ it works... It's very strange, can you reproduce it?

No. I'm on a Linux machine, so this might be it.

Ok, that's a good news. Sure, I can test the new widgets when they're ready. I'll be at the QGIS-CH user group metting this week, maybe we can talk

about that.

Yep, sure. I'll be there as well.

#6 - 2014-06-28 07:45 AM - Jürgen Fischer

- Target version changed from Version 2.4 to Future Release - High Priority

#7 - 2014-09-19 12:12 AM - Paolo Cavallini

Apparently it stil does not work, both on Debian and on Windows

#8 - 2014-11-21 08:34 AM - Bernd Steiner

The Web-View and Photo widgets are still not working in 2.4 and 2.6

On both OS Windowns and Ubuntu

Is there any update or workaround?

#9 - 2017-05-01 01:08 AM - Giovanni Manghi

- Regression? set to No

- Easy fix? set to No

#10 - 2019-03-09 04:04 PM - Giovanni Manghi

- Resolution set to end of life

- Status changed from Open to Closed

End of life notice: QGIS 2.18 LTR

Source:

http://blog.qgis.org/2019/03/09/end-of-life-notice-qgis-2-18-ltr/
